Api reference/Webhook deliveries
Replay a webhook delivery
Creates a new delivery with the original event ID. Returns 404 after the original delivery retention window has elapsed.
AuthorizationBearer <token>
OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.
In: header
Scope: torqee:webhooks:write
Path Parameters
idstring
Length
1 <= lengthResponse Body
curl -X POST "https://connect.torqee.app/api/v1/webhook-deliveries/string/replay"fetch("https://connect.torqee.app/api/v1/webhook-deliveries/string/replay")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://connect.torqee.app/api/v1/webhook-deliveries/string/replay"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://connect.torqee.app/api/v1/webhook-deliveries/string/replay"
response = requests.request("POST", url)
print(response.text){
"id": "string",
"eventId": "string",
"eventType": "session.created",
"endpointId": "string",
"endpointName": "string",
"endpointUrl": "http://example.com",
"kind": "event",
"status": "pending",
"attemptCount": 9007199254740991,
"lastHttpStatus": 100,
"nextAttemptAt": "2019-08-24T14:15:22Z",
"terminalAt": "2019-08-24T14:15:22Z",
"stopReason": "installation_unauthorized",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": "unauthorized"
}{
"error": "insufficient_scope"
}{
"error": "not_found"
}{
"error": "not_allowed"
}{
"error": "internal_server_error"
}Empty